%define fw_version 5.24

Summary:	KDE Frameworks 5 user configurable main windows module
Name:		kxmlgui
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5attica-devel >= %{version}
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5configwidgets-devel >= %{version}
BuildRequires:	kf5globalaccel-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	kf5iconthemes-devel >= %{version}
BuildRequires:	kf5itemviews-devel >= %{version}
BuildRequires:	kf5textwidgets-devel >= %{version}
BuildRequires:	kf5widgetsaddons-devel >= %{version}
BuildRequires:	kf5windowsystem-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
KDE Frameworks 5 user configurable main windows module.

KXMLGUI provides a framework for managing menu and toolbar actions in an
abstract way. The actions are configured through a XML description and
hooks in the application code. The framework supports merging of multiple
description for example for integrating actions from plugins.

%files
%{_kde5_libexecdir}/kf5/ksendbugmail
%{_kde5_sysconfdir}/xdg/ui/ui_standards.rc

#----------------------------------------------------------------------------

%package i18n
Summary:	KXmlGui translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KXmlGui translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5xmlgui_major 5
%define libkf5xmlgui %mklibname kf5xmlgui %{kf5xmlgui_major}

%package -n %{libkf5xmlgui}
Summary:	KDE Frameworks 5 user configurable main windows shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5xmlgui}
KDE Frameworks 5 user configurable main windows shared library.

%files -n %{libkf5xmlgui}
%{_kde5_libdir}/libKF5XmlGui.so.%{kf5xmlgui_major}*

#----------------------------------------------------------------------------

%define devkf5xmlgui %mklibname kf5xmlgui -d

%package -n %{devkf5xmlgui}
Summary:	Development files for KDE Frameworks 5 user configurable main windows module
Group:		Development/KDE and Qt
Requires:	%{libkf5xmlgui} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5xmlgui-devel = %{version}

%description -n %{devkf5xmlgui}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5xmlgui}
%{_kde5_includedir}/KF5/KXmlGui
%{_kde5_includedir}/KF5/kxmlgui_version.h
%{_kde5_libdir}/cmake/KF5XmlGui
%{_kde5_libdir}/libKF5XmlGui.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (a61151a) New version 5.24.0


